

export default function request (url, options = {}) {
  const headers = new Headers();
  headers.append('Content-Type', 'application/json;charset=utf8');
  // headers.append('credentials', 'include');
  // headers.append('mode', 'cors');

  Object.keys(options.headers || {}).forEach(key => headers.append(key, options.headers[key]))

  return fetch(url, { ...options, headers, credentials: 'include' })
    .then(response => response.json())
    .then(data => {
      if (data.code === 1000) return data.data
      return Promise.reject(data)
    })
}

export const baseURL = `${import.meta.env.VITE_SERVER_BASE}/api/h5`
